Bug 865052 - segfault during katello-configure httpd service management
segfault during katello-configure httpd service management
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: httpd (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Web Stack Team
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 13:10 EDT by Aaron Weitekamp
Modified: 2013-03-22 09:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-22 09:31:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/katello/katello-configure/main.log (136.62 KB, text/x-log)
2012-10-10 13:10 EDT, Aaron Weitekamp
no flags Details
/var/log/messages (179.25 KB, application/octet-stream)
2012-10-10 13:10 EDT, Aaron Weitekamp
no flags Details

  None (edit)
Description Aaron Weitekamp 2012-10-10 13:10:13 EDT
Created attachment 625041 [details]
/var/log/katello/katello-configure/main.log

Description of problem:
When running katello-configure during initial install a segfault error is thrown during httpd service management (chkconfig httpd on, service httpd restart)


## /var/log/messages
Oct  9 12:20:03 qeblade40 kernel: httpd[7330]: segfault at 30 ip 00007fa076a5c7c7 sp 00007fff358e0ad0 error 4 in libapr-1.so.0.3.9[7fa076a48000+2b000]

## /var/log/katello/katello-configure/main.log

121009-12:20:02 info: /File[/etc/pulp/repo_auth.conf]: Scheduling refresh of Exe
c[reload-apache2]
121009-12:20:02 debug: Exec[setup-crl-symlink](provider=posix): Executing '/usr/
bin/openssl x509 -in '/etc/candlepin/certs/candlepin-ca.crt' -hash -noout | /usr
/bin/xargs -I{} /bin/ln -sf '/var/lib/candlepin/candlepin-crl.crl' '/etc/pki/pul
p/content/{}.r0''
121009-12:20:02 debug: Executing '/usr/bin/openssl x509 -in '/etc/candlepin/cert
s/candlepin-ca.crt' -hash -noout | /usr/bin/xargs -I{} /bin/ln -sf '/var/lib/can
dlepin/candlepin-crl.crl' '/etc/pki/pulp/content/{}.r0''
121009-12:20:02 notice: /Stage[main]/Pulp::Config/Exec[setup-crl-symlink]: Trigg
ered 'refresh' from 3 events
121009-12:20:02 debug: Service[httpd](provider=redhat): Executing '/sbin/service
 httpd status'
121009-12:20:02 debug: Puppet::Type::Service::ProviderRedhat: Executing '/sbin/c
hkconfig httpd'
121009-12:20:03 debug: Service[httpd](provider=redhat): Executing '/sbin/service httpd start'
121009-12:20:03 debug: Puppet::Type::Service::ProviderRedhat: Executing '/sbin/chkconfig httpd'
121009-12:20:03 debug: Puppet::Type::Service::ProviderRedhat: Executing '/sbin/chkconfig httpd on'
121009-12:20:03 notice: /Stage[main]/Apache2::Service/Service[httpd]/ensure: ensure changed 'stopped' to 'running'
121009-12:20:03 debug: Service[httpd](provider=redhat): Executing '/sbin/service httpd status'
121009-12:20:03 debug: Service[httpd](provider=redhat): Executing '/sbin/service httpd restart'


Version-Release number of selected component (if applicable):
1.1
[root@qeblade40 katello-configure]# rpm -qa |grep katello
katello-1.1.12-14.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-7.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-1.1.8-7.el6cf.noarch
katello-glue-pulp-1.1.12-14.el6cf.noarch
katello-all-1.1.12-14.el6cf.noarch
katello-glue-candlepin-1.1.12-14.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-configure-1.1.9-7.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-common-1.1.12-14.el6cf.noarch

How reproducible:
100%

Steps to Reproduce:
1. `yum install katello-all`
2. `katello-configure` (no args)
3. inspect /var/log/messages for segfault error  


Additional info:
Performance of katello does not appear to be affected
Comment 1 Aaron Weitekamp 2012-10-10 13:10:52 EDT
Created attachment 625042 [details]
/var/log/messages
Comment 3 Miroslav Suchý 2012-10-10 13:18:22 EDT
httpd is last on stack, Switching to httpd component.
Comment 4 Miroslav Suchý 2012-10-10 13:19:24 EDT
Please provide version of httpd and ideally core dump.
Comment 6 Aaron Weitekamp 2012-10-10 14:01:16 EDT
[root@qeblade40 ~]# rpm -qi httpd
Name        : httpd                        Relocations: (not relocatable)
Version     : 2.2.15                            Vendor: Red Hat, Inc.
Release     : 15.el6_2.1                    Build Date: Tue 07 Feb 2012 09:52:02 AM EST
Install Date: Tue 09 Oct 2012 11:28:32 AM EDT      Build Host: x86-010.build.bos.redhat.com
Group       : System Environment/Daemons    Source RPM: httpd-2.2.15-15.el6_2.1.src.rpm
Size        : 3061778                          License: ASL 2.0
Signature   : RSA/8, Thu 09 Feb 2012 09:37:37 AM EST, Key ID 199e2f91fd431d51
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://httpd.apache.org/
Summary     : Apache HTTP Server
Description :
The Apache HTTP Server is a powerful, efficient, and extensible
web server.


[root@qeblade40 ~]# cat /proc/version
Linux version 2.6.32-279.el6.x86_64 (mockbuild@x86-008.build.bos.redhat.com) (gcc version 4.4.6 20120305 (Red Hat 4.4.6-4) (GCC) ) #1 SMP Wed Jun 13 18:24:36 EDT 2012
Comment 7 Joe Orton 2012-10-11 04:44:51 EDT
Please provide a reliable reproducer (including complete configuration details) and at least a backtrace from the httpd segfault.
Comment 10 Lukas Zapletal 2012-10-19 08:01:13 EDT
Joe, any updates? We might hand this over to Pulp guys because as you say, it's an issue in their mod_wsgi build.
Comment 11 Lukas Zapletal 2012-10-29 11:48:35 EDT
I recommend to hand this over to pulp team which provides mod_wsgi build.
Comment 13 Lukas Zapletal 2013-03-08 07:08:08 EST
Aaron: do you still see these? I dont.
Comment 14 Aaron Weitekamp 2013-03-21 08:22:34 EDT
I haven't been working with katello for a while so I can't say. Sounds like it we can move on.
Comment 15 Lukas Zapletal 2013-03-22 09:31:06 EDT
Ok closing.

Note You need to log in before you can comment on or make changes to this bug.